# Package org.jacoco.core.data

Representation and persistence of execution data and session information.

Interface Summary
IExecutionDataVisitor: Interface for data output of collected execution data.
ISessionInfoVisitor: Interface for data output of collected session information.

Class Summary
ExecutionData: Execution data for a single Java class.
ExecutionDataReader: Deserialization of execution data from binary streams.
ExecutionDataStore: In-memory data store for execution data.
ExecutionDataWriter: Serialization of execution data into binary streams.
SessionInfo: Data object describing a session which was the source of execution data.
SessionInfoStore: Container to collect and merge session `SessionInfo` objects.

Exception Summary
IncompatibleExecDataVersionException: Signals that execution data in an incompatible version was tried to read.